This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841831 - RFE - Resource proxy doesn't return current values.
RFE - Resource proxy doesn't return current values.
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 06:48 EDT by Filip Brychta
Modified: 2012-07-30 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-07-20 06:48:32 EDT
Description of problem:
Resource proxy returns values as they were at the time of proxy creation. i.e. when number of child resources is changed, created proxy doesn't reflect that.

Version-Release number of selected component (if applicable):
Version: 3.1.0.GA
Build Number: b575169:a53e41e

How reproducible:
Always

Steps to Reproduce:
1. create resource proxy for eap5 resource
2. get number of children
3. create a new child
4. get number of children
  
Actual results:
number of children from step 2 and 4 is the same and remains the same, until a new proxy is created 

Expected results:
get current number of children in step 4 without creating a new proxy

Note You need to log in before you can comment on or make changes to this bug.